:root { --color-white-opacity80: rgba(255,255,255,0.8); --border-radius-medium: 8px; --color-green: #37b400; --color-red: #db4240; }

* { box-sizing: border-box; -moz-box-sizing: border-box; font-family: 'Varela',sans-serif; }

body { margin: 0; padding: 0; font-size: 16px; background: #f2f2f2; }

h1, h2, h3, h4 { margin: 0; font-weight: 400; }
h1 { font-size: 30px; }
h2 { font-size: 24px; }

.heading-remove-padding h1, .heading-remove-padding h2, .heading-remove-padding h3.heading-remove-padding h4 { padding-bottom: 0.2rem; }

.container { max-width: 1600px; margin: 0 auto; -webkit-box-shadow: 0 0 50px 0 rgba(0,0,0,.1); box-shadow: 0 0 50px 0 rgba(0,0,0,.1); }

.clear-after::after { content: ""; clear: both; display: block; }

.width-25 { width: 22.75%; margin-right: 3%; float: left; }
.width-25:last-child { margin-right: 0; }

.width-33 { width: 31.333%; margin-right: 3%; float: left; }
.width-33:last-child { margin-right: 0; }

.width-50 { float: left; width: 48.5%; margin-right: 3%; }
.width-50:last-child { margin-right: 0; }

.stretch { width: 100%; }

hr { margin: 30px 0; height: 10px; background: #e8e8e8; border: 0; }

.margin-vert-30 { margin: 30px 0; }
.margin-bot-30 { margin-bottom: 30px; }

.border-bottom { border-bottom: 1px solid #ccc; }

.small-txt { font-size: .8em; }

body.no-scroll { overflow: hidden; }

/* Screen Reader Only */
.sr-only { position: absolute; width: 1px; height: 1px; margin: -1px; padding: 0; overflow: hidden; clip: rect(0, 0, 0, 0); white-space: nowrap; border: 0; }
.sr-only.skip-to-content:focus { width: auto; height: auto; margin: 10px; clip: initial; }

/*Form Elements*/
.form-container { }

    .form-section-title { background: #0a2240; color: #fff; font-size: 24px; padding: 20px; margin-bottom: 0; }
    .form-section-content { border: 1px solid #0a2240; padding: 30px; margin-bottom: 30px; }
        .form-title { font-size: 18px; font-weight: 700; margin-bottom: 15px; }

        .form-item { margin-bottom: 20px; }
        .form-item label { margin-bottom: 8px; display: block; }
        .form-item label.cb { display: inline-block; }
        .form-item label.cb-fw { display: block; }
        .form-item.required label::before { content: "*"; display: inline-block; margin-right: 3px; color: red; }
        .form-item.required label.cb-fw::before, .form-item.required label.cb::before { display: none!important; }
        input[type=date], input[type=datetime-local], input[type=email], input[type=number], input[type=password], input[type=tel], input[type=text], select { font-size: 1em; padding: 10px; width: 100%; border: 1px solid #ccc; background: #fff; }
        .form-item .k-dropdown .k-input { padding: 6px 2px; background: #fff; }
            .k-list > .k-state-focused.k-state-selected, .k-listview > .k-state-focused.k-state-selected, .k-state-focused.k-state-selected, td.k-state-focused.k-state-selected { }

        input[readonly]:not(.ignore-bg), textarea[readonly] { background: #fff5f3; }

        textarea { font-size: 1em; padding: 10px; width: 100%; height: 125px; border: 1px solid #ccc; }

        .form-container input[type=datetime-local], .form-container input[type=email], .form-container input[type=number], .form-container input[type=password], .form-container input[type=tel], .form-container input[type=text], .form-container select, .form-container textarea { border: 1px solid #ccc; background: #f5f6f7; -webkit-box-shadow: inset 5px 5px 10px 0 rgba(0,0,0,.05); box-shadow: inset 5px 5px 10px 0 rgba(0,0,0,.05); }
        textarea { font-size: 1em; padding: 10px; width: 100%; height: 125px; }

        .form-lnk-list a { border: 3px solid #BD5A12; color: #BD5A12; text-decoration: none; border-radius: 5px; display: inline-block; margin-right: 5px; padding: 10px 15px; }

.btn { display: inline-flex; align-items: center; gap: 0.4em; background: #008297; color: #fff; text-align: center; padding: 10px 15px; text-decoration: none; font-size: 1em; border-radius: 5px; }
    .btn:hover { background: #00515F; }

/* Layout styles */
.flex { display: flex; flex-wrap: nowrap; align-items: center; }

header { background: #fff; display: flex; flex-wrap: nowrap; align-items: center; }

.header-col { }

    .header-col-1 { margin-right: 30px; padding: 15px 30px; border-right: 1px solid #ccc; }
    .header-col-1 img { display: block; width: 250px; height: auto; }

    /*.header-col-2 {width: 100%; }

    header .num-id {
    padding: 5px 10px;
    background: #c7571f;
    color: #fff;
    border-radius: 5px;
    font-size: .8em;
    }
    .header-col-3 {
    width: 100%;
    }
    .header-col-3 input {
    padding: 10px;
    border: 1px solid #ccc;
    background: url(../images/search.png) #f2f2f2;
    background-repeat: no-repeat;
    background-size: auto 40%;
    background-position: 96% center;
    width: 100%;
    }*/

    .header-col-4 {
        text-align: right;
        width: 100%;
        padding-right: 30px;
    }

    /*Main Nav Styles*/

    .main-nav { background: #BD5A12; padding: 15px; border-bottom: 5px solid #af4900; }
        .main-nav ul { list-style: none; padding: 0; margin: 0; }
            .main-nav ul li { display: inline-block; position: relative; }
                .main-nav ul li a { padding: 7px 15px; text-decoration: none; font-size: 1em; color: #fff; display: block; border-radius: 5px; }
                    .main-nav ul li a:hover { color: #af4900; background: #fff; }

        .sub-nav { display: none; position: absolute; top: 100%; left: 0; background: #BD5A12; padding: 6px; width: 240px; border-radius: 6px; border: 2px solid #BD5A12; z-index: 1000; }
            .sub-nav li { display: block; width: 100%; }
                .sub-nav li a { display: block; width: 100%; padding: 10px 12px; font-size: 1em; border-radius: 4px; background: none; color: #fff; }

    .has-sub:hover>.sub-nav { display: block; }

.page-title { background: #3f3f3f; background: linear-gradient(90deg,#3f3f3f 0, #000 100%); padding: 30px; color: #fff; font-size: 30px; }
    .page-title-subinfo { font-size: .5em; }

.room-type-container { background: #f2f2f2; padding: 7px 30px; font-size: .8em; position: relative; }

/*Login Styles*/

.login-container { max-width: 500px; margin: 0 auto; -webkit-box-shadow: 0 0 50px 0 rgba(0,0,0,.1); box-shadow: 0 0 50px 0 rgba(0,0,0,.1); }
    .login-container header { background: #fff; display: flex; flex-wrap: nowrap; align-items: center; justify-content: center; }

    .login-container .header-col-1 { display: inline-block; width: 100%; margin: 0 auto; padding: 30px 30px 0; border-right: 1px solid #ccc; text-align: center; }
        .login-container .header-col-1::after { content: ''; display: inline-block; width: 100%; height: 1px; margin: 30px 0 0; background: #ccc; }
        .login-container .header-col-1 img { width: 320px; max-width: 100%; height: auto; }

/* Dashboard */
.dashboard-cols { display: grid; grid-template-columns: 1fr 400px; }
    .dashboard-cols .dashboard-col1, .dashboard-cols .dashboard-col2 { display: flex; flex-flow: column; gap: 2rem; padding: 2rem; }

        .announcement { padding: 1rem 2rem; border: 2px solid #e6e6e6; }
            /* .announcement strong { margin-right: 0.6rem; padding: 0.4rem 0.6rem; background: #e6e6e6; } */

        .resources ul { list-style-type: none; display: flex; flex-flow: column; gap: 0.4rem; margin: 0; padding: 0; }
            .resources ul li { list-style-type: none; }
                .resources ul li a { display: flex; align-items: center; gap: 1rem; border: 2px solid #e6e6e6; }
                    .resources ul li a:hover { border: 2px solid #BD5A12; }
                        .resources ul li a img { width: 60px; height: auto; aspect-ratio: 1 / 1; }

/*Big Number Styles */
.dash-item-container { display: flex; width: 100%; }
    .dash-item { flex: 1; min-width: 0; background: #fff; font-size: 30px; border-right: 1px solid #ccc; border-top: 1px solid #ccc; border-bottom: 1px solid #ccc; padding: 30px; text-align: left; }
    .dash-item:last-child { border-right: 0; }
        .dash-item span { display: block; font-size: 12px; text-transform: uppercase; }

.dash-item-20 { width: 20%; padding: 30px; }
.dash-item-25 { width: 25%; padding: 30px; }
.dash-item-33 { width: 33.333%; padding: 30px; }

/*Filter Styles*/
.grid-filters { margin: 25px 0; }

    .filter-container { display: flex; flex-flow: row wrap; gap: 0.4rem; margin-bottom: 15px; padding: 15px; background: #F5F5F5; }
    .k-tabstrip .filter-container { margin: 0; border: 1px solid #ccc; }
        .filter-container div { display: inline-flex; margin-right: 10px; }
            .filter-container div select { min-width: 200px; }
        .filter-container > .btn { margin-left: auto; }

/*Main Content Styles*/
.main-content { display: flex; flex-wrap: nowrap; align-items: stretch; background: #fff; }

    .main-item { padding: 30px; border-right: 1px solid #ccc; }
    .main-item:last-child { border-right: 0; }
    .main-item-25 { width: 25%; }
    .main-item-75 { width: 75%; }
    .main-item-100 { width: 100%; }

/*Breadcrumbs */
.breadcrumbs { padding-bottom: 30px; border-bottom: 1px solid #ccc; margin-bottom: 30px; }
    .breadcrumbs a { font-size: .8em; text-transform: uppercase; color: #0e0d1b; text-decoration: none; }

.profile-meta { list-style: none; padding: 0; margin: 15px 0; }
    .profile-meta li { display: inline-block; margin-right: 10px; border-right: 1px solid #ccc; padding-right: 10px; }
    .profile-meta li:last-child { border-right: 0; }

/*Sub Navigation*/
.side-title { text-transform: uppercase; text-transform: uppercase; font-size: 12px; font-weight: 700; border-bottom: 1px solid #ccc; }
    .side-title span { display: inline-block; border-bottom: 3px solid #de6326; padding-bottom: 5px; }

.sub-navigation { list-style: none; margin: 0; padding: 0; }
    .sub-navigation li { border-bottom: 1px solid #ccc; }
        .sub-navigation li a { padding: 15px 0; display: block; text-decoration: none; color: #2c65b9; }
            .sub-navigation li a:hover { background: #f2f2f2; padding: 15px; }

/*Grid Styles */
.container .main-table { width: 100%; border: 0; border-collapse: collapse; }
    .container .main-table .k-grid-header th, .container .main-table thead th { padding: 10px; border: 0; border-bottom: 3px solid #0e0d1b; color: #0e0d1b; font-size: 0.8rem; font-weight: 600; text-align: left; }
        .container .main-table .k-grid-header th a, .container .main-table thead th a { margin: 0; padding: 0; text-align: left; color: #0e0d1b; font-size: 0.8rem; font-weight: 600; }
    .container .main-table tbody tr:hover { background: #f2f2f2; }

    .container .main-table.small td { padding: 10px 5px; }
    .container .main-table td { padding: 20px 10px; border: 0; border-bottom: 1px solid #ccc; }

    .main-table-action-bar { background: #f2f2f2; padding: 5px; margin: 15px 0; }

    .main-table .k-pager-wrap .k-link.k-state-selected { background: #008297; color: #fff; }

.grid-currency, th.grid-currency { text-align: right; }
td.grid-currency { border-right: 1px solid #ccc; border-left: 1px solid #ccc; }

.status-lnk { display: block; width: 70px; border: 3px solid #ccc; background: #ccc; position: relative; height: 30px; border-radius: 50px; position: active; }
.status-active { background: #BD5A12; border: 3px solid #BD5A12; }
    .status-active::before { width: 60%; top: 0; right: 0; bottom: 0; background: #fff; position: absolute; content: ""; display: block; border-radius: 50px; }
    .status-inactive::before { width: 60%; top: 0; left: 0; bottom: 0; background: #fff; position: absolute; content: ""; display: block; border-radius: 50px; }

/* Tabs */

.tab-container { background: #f2f2f2; padding: 0 30px; border-bottom: 1px solid #ccc; position: relative; }
.k-tabstrip-wrapper { width: 100%; }
.k-tabstrip, .tabs { width: 100%; list-style: none; margin: 0; padding: 0; border: 0!important; }
.k-panelbar .k-tabstrip-items > .k-item, .k-tabstrip-top > .k-tabstrip-items > .k-item, .tabs li { display: inline-block; margin: 0 15px 0 0; border: 0; }
.k-tabstrip-top > li > .k-link, .tabs li a { display: block; padding: 15px 20px; color: #333; text-decoration: none; font-size: 1em; border-bottom: 5px solid rgba(0,102,191,0); }
.k-tabstrip li .k-loading { border: 0; }
.k-tabstrip .k-tabstrip-items > li.k-state-active > .k-link, .tabs li a.active { border-bottom: 5px solid #BD5A12; color: #BD5A12; }

.tab-content { display: none; }
.k-tabstrip-wrapper .k-tabstrip > .k-content { padding: 0; border: 0; }
.tab-content-1 { display: block; }

.tab-search { position: absolute; top: 5px; right: 30px; }
.tab-search input { width: 300px; }

/* Scheduler */

.k-scheduler .k-scheduler-toolbar { padding: 10px; background: #fff; }
.k-scheduler .k-event { background: #BD5A12; }
.k-scheduler .k-event .k-event-template { padding: 0; }

/*Modal Styles */

.modal { background: #0e0d1ba7; position: fixed; top: 0; left: 0; right: 0; bottom: 0; display: none; z-index: 10; }
.modal-content { background: #fff; width: 1000px; position: absolute; top: 0; bottom: 0; right: -1000px; padding: 30px; -webkit-box-shadow: 0 0 50px 0 rgba(0,0,0,.1); box-shadow: 0 0 50px 0 rgba(0,0,0,.1); overflow: auto; }
.modal-content-1 { display: block; }

.new-plant-container, .plant-modal-content, .promote-container { display: none; }
.plant-modal-content-1 { display: block; }

.close-modal-container { position: fixed; top: 15px; right: 30px; }
.close-modal-container a { font-size: .8em; background: #008297; }
.close-modal-container a:hover { background: #00515F; }

.invalid { border: 2px solid red!important; }

body .k-notification { border: 1px solid var(--color-white-opacity80); border-radius: var(--border-radius-medium); }
body .k-notification > .k-notification-wrap { display: flex; align-items: center; gap: 0.4rem; padding: 1rem 1.4rem; border: 0; border-radius: var(--border-radius-medium); }
.k-notification-wrap .k-notification-content { vertical-align: middle; }
.k-notification-success { color: #fff; font-weight: bold; height: 38px!important; }
.k-notification-success .k-notification-wrap { background-color: var(--color-green)!important; }
.k-widget.k-notification.k-notification-success { background-color: var(--color-green)!important; }
.k-notification-content { color: #fff; }
.k-notification-error { color: #fff; font-weight: bold; }
.k-notification-error .k-notification-wrap { background-color: var(--color-red); }
.k-widget.k-notification.k-notification-error { background-color: var(--color-red)!important; }

#addressList, #secondaryAddressList { position: absolute; background-color: #fff; border: 1px solid #ccc; list-style-type: none; padding: 0; margin: 0; width: calc(100% - 2px); z-index: 1; /* Ensure suggestions list appears on top of other elements */ }
#addressList li, #secondaryAddressList li { padding: 5px; cursor: pointer; }
#addressList li:hover, #secondaryAddressList li:hover { background-color: #f0f0f0; }

.k-datetimepicker,.k-datepicker, .k-dropdown { width: 100% !important; }

#cover-image-viewer, #thumbnail-image-viewer {
    max-width: 100px;
    max-height: 100px;
    width: auto;
    height: auto;
    object-fit: contain;
}

#categories-grid td {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}

#drop-area {
    border: 2px dashed #ccc;
    padding: 80px;
    text-align: center;
    position: relative;
}

#drag-area {
    padding: 10px;
    cursor: pointer;
    transition: background-color 0.3s;
}

#drag-area.dragging {
    background-color: #f0f0f0;
}

#drag-area p {
    margin: 0;
}

.k-editor-widget:not(.k-resizable) {
    height: 5px !important
}

/* Card Style */
.card-container .card {
	flex: 1 1 calc(33% - 16px);
	min-width: 280px;
	background: #fff;
}

.card {
	position: relative;
	padding: 30px;
	border: 0px solid var(--color-light-grey);
	border-radius: 10px;
	box-shadow: 0 0 50px 0 rgba(0, 0, 0, .05);
	overflow: hidden;
}

.card .card-title {
	border-bottom: 0 solid var(--color-light-grey);
	font-size: 1.2rem;
	font-weight: 900;
	line-height: 1.2em;
}

.card .card-title.blue-block {
	margin: -30px -30px 25px;
	padding: 25px 30px;
	border: 0;
	border-radius: 0;
	background: linear-gradient(35deg, #223c68 0%, #357884 100%);
	color: #fff;
}

.card .card-title .img-container {
	width: calc(100% + 60px);
	height: 200px;
	margin: -30px -30px 20px;
}

.card .card-title .img-container img {
	object-fit: cover;
	width: 100%;
	height: 100%;
	max-height: 200px;
}

.card .btn {
	margin: 0.6em 0.4em 0 0;
	background: #fff;
}

.card.flex-container .btn {
	margin-top: 0.4em 0.4em 0 0;
}

.card .btn:hover {
	background: var(--color-dark-blue);
	color: #fff;
}

.card hr {
	margin: 15px 0;
}

/* Details */
.card-detail {
	display: flex;
	flex-flow: row wrap;
	align-items: center;
	gap: 0.2em 0.4em;
	margin-top: 0.6rem;
	padding: 0.6rem 0.8rem;
	border: 1px solid var(--color-grey);
	border-radius: 6px;
	overflow: hidden;
}

.card-detail.minimal {
	padding: 0.2rem 0;
	border: 0;
}

button.card-detail {
	border: 1px solid var(--color-blue);
}

.card-detail.small-text {
	font-size: 0.9rem;
	line-height: 1.4em;
}

.card-detail strong {
	width: 100%;
	font-size: 0.9rem;
	line-height: 1.4em;
}

/* location */
.card-detail.location {
	flex-flow: column;
	align-items: stretch;
	font-size: 0.9rem;
	line-height: 1.4em;
}

.card-detail.location .map-container {
	height: 240px;
	margin: -0.6rem -0.8rem 0.6em;
	overflow: hidden;
}

.card-detail.location .map-container img {
	object-fit: cover;
	object-position: center;
	width: 100%;
	height: 100%;
	max-height: 240px;
}

/* Events */

.event-title-container {
	margin: 0 0 2rem;
	padding: 1.4rem 1.8rem 0.6rem;
	border-radius: var(--border-radius-small);
}

.news-article-details {
	text-decoration: none;
}

.attended-events-container .attended-event {
	margin: 12px 0;
	padding: 12px 16px;
	border-top: 1px solid rgba(255, 255, 255, 0.1);
	border-radius: var(--border-radius-small);
	background: rgba(255, 255, 255, 0.1);
}

.flex-container, .card-container .k-listview-content {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: flex-start;
	align-content: stretch;
	align-items: flex-start;
	gap: 30px;
}

.container .main-table .k-grid-header .k-link::after {
    content: "\21C5";
    font-size: 15px;
    color: #505050;
    margin-left: 6px;
}

.container .main-table .k-grid-header th.k-sorted .k-link::after {
    content: "";
}